### Method

# Gtk CellAreacell_get

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_cell_get (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* first_prop_name,
      ...
    )

#### Description [src]

Gets the values of one or more cell properties for `renderer` in `area`.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer` which is inside `area`.

  The data is owned by the caller of the method.

`first_prop_name`

  Type: `const char*`

  The name of the first cell property to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Return location for the first cell property, followed optionally by more name/return location pairs, followed by `NULL`.